org.eclnt.jsfserver.elements.componentnodes

## Class COLLINENode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.COLLINENode

- All Implemented Interfaces:
    java.io.Serializable

      public class COLLINENode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `COLLINENode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `COLLINENode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindBackground(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindColspan(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindComment(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindHeight(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindRendered(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindWidth(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindX(IDynamicContentBindingObject value)`
    `COLLINENode` | `bindY(IDynamicContentBindingObject value)`
    `COLLINENode` | `setAdapterbinding(java.lang.String value)`
    `COLLINENode` | `setBackground(java.lang.String value)`
    `COLLINENode` | `setColspan(int value)`
    `COLLINENode` | `setColspan(java.lang.String value)`
    `COLLINENode` | `setComment(java.lang.String value)`
    `COLLINENode` | `setConfiginfo(java.lang.String value)`
    `COLLINENode` | `setHeight(int value)`
    `COLLINENode` | `setHeight(java.lang.String value)`
    `COLLINENode` | `setId(java.lang.String value)`
    `COLLINENode` | `setReference(java.lang.String value)`
    `COLLINENode` | `setRendered(boolean value)`
    `COLLINENode` | `setRendered(java.lang.String value)`
    `COLLINENode` | `setWidth(int value)`
    `COLLINENode` | `setWidth(java.lang.String value)`
    `COLLINENode` | `setX(int value)`
    `COLLINENode` | `setX(java.lang.String value)`
    `COLLINENode` | `setY(int value)`
    `COLLINENode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### COLLINENode

          public COLLINENode()

  - ### Method Detail

    - #### setId

          public COLLINENode setId(java.lang.String value)

    - #### setAdapterbinding

          public COLLINENode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public COLLINENode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setBackground

          public COLLINENode setBackground(java.lang.String value)

    - #### bindBackground

          public COLLINENode bindBackground(IDynamicContentBindingObject value)

    - #### setColspan

          public COLLINENode setColspan(java.lang.String value)

    - #### bindColspan

          public COLLINENode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public COLLINENode setColspan(int value)

    - #### setComment

          public COLLINENode setComment(java.lang.String value)

    - #### bindComment

          public COLLINENode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public COLLINENode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public COLLINENode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public COLLINENode setHeight(java.lang.String value)

    - #### bindHeight

          public COLLINENode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public COLLINENode setHeight(int value)

    - #### setReference

          public COLLINENode setReference(java.lang.String value)

    - #### setRendered

          public COLLINENode setRendered(java.lang.String value)

    - #### bindRendered

          public COLLINENode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public COLLINENode setRendered(boolean value)

    - #### setWidth

          public COLLINENode setWidth(java.lang.String value)

    - #### bindWidth

          public COLLINENode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public COLLINENode setWidth(int value)

    - #### setX

          public COLLINENode setX(java.lang.String value)

    - #### bindX

          public COLLINENode bindX(IDynamicContentBindingObject value)

    - #### setX

          public COLLINENode setX(int value)

    - #### setY

          public COLLINENode setY(java.lang.String value)

    - #### bindY

          public COLLINENode bindY(IDynamicContentBindingObject value)

    - #### setY

          public COLLINENode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.